kitten-desktop-ui-run-server(1)

Name
kitten-desktop-ui-run-server - Start the various servers used to integrate with the Linux desktop

Usage
kitten desktop-ui run-server

Description
This should be run very early in the startup sequence of your window manager, before any other programs are run.

Options

--override, -o
    Override individual configuration options, can be specified multiple times. Syntax: name=value. For example: -o color_scheme=dark

--config, -c
    Specify a path to the configuration file(s) to use. All configuration files are merged onto the builtin desktop-ui-portal.conf, overriding the builtin values. This option can be specified multiple times to read multiple configuration files in sequence, which are merged. Use the special value NONE to not load any config file. If this option is not specified, config files are searched for in the order: $XDG_CONFIG_HOME/kitty/desktop-ui-portal.conf, ~/.config/kitty/desktop-ui-portal.conf, $XDG_CONFIG_DIRS/kitty/desktop-ui-portal.conf. The first one that exists is used as the config file. If the environment variable KITTY_CONFIG_DIRECTORY is specified, that directory is always used and the above searching does not happen. If /etc/xdg/kitty/desktop-ui-portal.conf exists, it is merged before (i.e. with lower priority) than any user config files. It can be used to specify system-wide defaults for all users. You can use either - or /dev/stdin to read the config from STDIN.

--help, -h [=no]
    Show help for this command